import * as $dara from '@darabonba/typescript';
import { DeleteSnatEntryResponseBody } from "./DeleteSnatEntryResponseBody";
export declare class DeleteSnatEntryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteSnatEntryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
